<?php
/**
* @version		$Id: sef.php 14401 2010-01-26 14:10:00Z louis $
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin');

/**
* Joom Donation SSL plugin
*
* @package 		Joomla
* @subpackage	System
*/
class plgSystemJoomDonationSSl extends JPlugin
{
	/**
	 * Constructor
	 *
	 * For php4 compatability we must not use the __constructor as a constructor for plugins
	 * because func_get_args ( void ) returns a copy of all passed arguments NOT references.
	 * This causes problems with cross-referencing necessary for the observer design pattern.
	 *
	 * @param	object		$subject The object to observe
	  * @param 	array  		$config  An array that holds the plugin configuration
	 * @since	1.0
	 */
	function plgSystemJoomDonationSSl(&$subject, $config)  {		
		parent::__construct($subject, $config);
	}
	/**
	 * Redirect user to SSL
	 * 
	 */
	function OnAfterInitialise()
	{
		$app =& JFactory::getApplication();
		if ($app->isAdmin())
			return ;
		$option = JRequest::getCmd('option', '');		
		if (($option == 'com_eventbooking') && !count($_POST)) {
			//Only process the get request
			require_once JPATH_ROOT.DS.'components'.DS.'com_eventbooking'.DS.'helper'.DS.'helper.php';
			$ssl = EventBookingHelper::getConfigValue('use_https');
			if ($ssl) {
				$uri = & JURI::getInstance();
				if (!$uri->isSSL()) {					
					$uri->setScheme('https') ;
					$url = $uri->toString();
					$app->redirect($url) ;					
				}
			}
		}
	}	
}
